package com.hz.pm.api.common.helper.basic;

import com.hz.pm.api.common.helper.RegionCacheHelper;
import com.hz.pm.api.common.helper.RegionLimitHelper;
import com.hz.pm.api.expert.service.IExpertUserFullInfoService;
import com.hz.pm.api.sys.service.IRegionService;
import com.hz.pm.api.user.service.IUserInfoService;
import lombok.AllArgsConstructor;

/**
 * <p>
 * AbstractRegionLimitHelper
 * </p>
 *
 * @author WendyYang
 * @since 14:35 2023/3/1
 */
@AllArgsConstructor
public abstract class AbstractRegionLimitHelper implements RegionLimitHelper {

    protected final RegionCacheHelper regionCache;
    protected final IExpertUserFullInfoService expertUserFullInfoService;
    protected final IUserInfoService iUserInfoService;
    protected final IRegionService regionService;

}
