package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.dashboard.model.basic.AnalysisChart;
import com.hz.pm.api.dashboard.model.basic.StarExpertBO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/8/2 下午3:07
 */

@Data
@ApiModel("专家驾驶舱统计数据")
public class ExpertDashboardSummaryVO {

    @ApiModelProperty("明星专家列表")
    private List<StarExpertBO> starExpertList;

    @ApiModelProperty("评审次数")
    private Integer meetingCnt;

    @ApiModelProperty("图表列表 各区域专家总数，学历分布，职称级别分布，各类型评审次数")
    List<AnalysisChart> analysisChartList;


}

