package com.hz.pm.api.irs.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * @Classname ForwardDTO
 * @Description
 * @Date 2023/7/13 18:03
 * @Author PoffyZhang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ForwardDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String url;
    private String secret;
    private String appKey;
    private String sign;
    private Long requestTime;
    private Map<String,Object> data;
}
