package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * TestValidListVO
 * </p>
 *
 * @author WendyYang
 * @since 14:43 2024/3/27
 */
@Data
@Builder
public class XcfhxApplyListVO {

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("标段名称")
    private String bizName;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("合同金额")
    private BigDecimal contractAmount;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    private Long projectId;

    private String projectCode;

}
