package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * GovSystemReplaceInfoDTO
 * </p>
 *
 * @author WendyYang
 * @since 11:49 2024/2/29
 */
@Data
public class GovSystemReplaceInfoDTO {

    @ApiModelProperty("替代前系统名称")
    private List<String> sourceSystemNames;

    @ApiModelProperty("被替代系统名称")
    private String targetSystemName;

    @ApiModelProperty("替代方式")
    private String replaceType;

}
