package com.hz.pm.api.sys.manage;

import com.hz.pm.api.common.helper.RegionCacheHelper;
import com.hz.pm.api.sys.model.vo.RegionTreeVO;
import com.hz.pm.api.sys.service.IRegionService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * <p>
 * RegionManage
 * </p>
 *
 * @author ZPF
 * @since 10:39 2023/1/18
 */
@Component
@RequiredArgsConstructor
public class RegionManage {

    private final IRegionService regionService;
    private final RegionCacheHelper regionCache;

    public RegionTreeVO getRegionTree(String regionCode, Integer regionLevel) {
        return regionCache.getRegionTree(regionCode, regionLevel);
    }

}
