package com.hz.pm.api.todocenter.model.vo;


import com.wflow.workflow.bean.vo.ProcessProgressVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 流程进展详情实体
 *
 * @author CMM
 * @since 2023/01/30 17:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProcessProgressDetailVO {

    /**
     * 流程处理详情
     */
    private ProcessProgressVo processProgressVo;
    /**
     * 流程状态
     */
    private String status;
    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 能否撤回
     */
    private Boolean canWithdraw = Boolean.FALSE;

    /**
     * 能否通过
     */
    private Boolean canPass = Boolean.FALSE;

    /**
     * 能否盖章
     */
    private Boolean canSeal = Boolean.FALSE;

    /**
     * 能否驳回
     */
    private Boolean canReject = Boolean.FALSE;

    /**
     * 当前审批人 是不是流程配置里的 上级条线主管
     */
    private Boolean isHighLine = Boolean.FALSE;

    /**
     * 当前项目 是不是被 驳回|退回过
     */
    private Boolean isChange = Boolean.FALSE;

    private Boolean constructionSuggestions = Boolean.FALSE;
}
