package com.hz.pm.api.workbench.model.vo;

import com.hz.pm.api.common.model.entity.KeyValDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * ProjectTotalViewVO
 * </p>
 *
 * @author WendyYang
 * @since 11:54 2024/3/20
 */
@Data
public class ProjectTotalViewVO {

    @ApiModelProperty("系统类型（替代类型）")
    private List<KeyValDTO<String, Integer>> systemTypes;

    @ApiModelProperty("评审金额")
    private BigDecimal totalReviewAmount;

    @ApiModelProperty("下达金额")
    private BigDecimal totalApprovalAmount;

    @ApiModelProperty("执行金额")
    private BigDecimal totalExecuteAmount;

}
