package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.portrait.model.entity.Tag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author ZPF
 * @date 2023/10/9 下午3:07
 */

@Data
@ApiModel("驾驶舱项目画像VO")
public class DashboardProjectPortraitVO {

    @ApiModelProperty("项目信息")
    private ProtraitProjectInfoVO projectInfo;

    @ApiModelProperty("项目特征(就是标签)")
    private List<Tag> projectFeatures;

    @ApiModelProperty("项目产出")
    private Map<String, PortraitProjectOutputVO> projectOutput;

}

