package com.hz.pm.api.dashboard.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import java.time.LocalDateTime;

/**
 * @author ZPF
 * @date 2023/10/9 下午3:07
 */

@Data
@Builder
@ApiModel("驾驶舱项目画像里的项目状态信息VO")
public class ProtraitProjectStatusSituationVO {

    public ProtraitProjectStatusSituationVO(){

    }

    public ProtraitProjectStatusSituationVO(String statusName,LocalDateTime statusTime){
        this.statusName = statusName;
        this.statusTime = statusTime;
    }

    @ApiModelProperty("状态名")
    private String statusName;

    @ApiModelProperty("状态时间节点")
    private LocalDateTime statusTime;
}

