package com.hz.pm.api.irs.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ApiSearchResult implements Serializable {

    private static final long serialVersionUID = 1L;

    private Boolean success;
    private Integer code;
    private String message;
    private Integer totalCount;
    private Integer pageSize;
    private Integer pageNum;
    private List<ApiApplySearchResult> apiApplySearchResult;

}
