package com.hz.pm.api.meeting.entity.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * <p>
 * WebProps
 * </p>
 *
 * @author WendyYang
 * @since 14:39 2022/9/15
 */
@Data
@Component
public class WebProps {

    public static String loginUrl;

    public static String apiUrl;

    @Value("${web.login.url:}")
    private void setLoginUrl(String url) {
        loginUrl = url;
    }

    @Value("${web.api.url:}")
    private void setApiUrl(String url) {
        apiUrl = url;
    }

}
