package com.hz.pm.api.projectdeclared.contant;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * <p>
 * DeclaredProjectContant
 * </p>
 *
 * @author WendyYang
 * @since 14:41 2023/12/16
 */
public interface DeclaredProjectConst {

    class ProcessDef {

        private ProcessDef() {
        }

        public static final String PROJECT_STAGE_1 = "单位内部审批流程";

        public static final String PROJECT_STAGE_2 = "项目预审审批流程";

        public static final String PROJECT_STAGE_3 = "部门联合审批流程";

        public static final String PROJECT_STAGE_4 = "建设方案审批流程";

        public static final String PROJECT_STAGE_5 = "验收申报审批流程";
    }

    class Instance {

        private Instance() {
        }

        public static final String PROVINCE_INSTANCE_ID = "PROVINCE_AUDIT";
    }

    class Biz {

        private Biz() {
        }

        public static final String CORE_BIZ = "{\"msg\":\"操作成功\",\"code\":0,\"data\":[{\"id\":6366,\"matterOrg\":4,\"matterName\":\"信息化项目年度建设计划申报\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[{\"id\":\"947\",\"uuid\":\"5922bdbb-ae35-4f4d-b6e0-916cf01b9a6a\",\"sysName\":\"丽水市数据中心平台\"}],\"coreMaterials\":[{\"id\":11317,\"comaterialName\":\"次年信息化项目年度计划申请信息（信息化项目年度建设计划申报）\"},{\"id\":66025,\"comaterialName\":\"测试信息\"},{\"id\":70165,\"comaterialName\":\"演示系统信息\"},{\"id\":11318,\"comaterialName\":\"次年信息化项目建议书信息（信息化项目年度建设计划申报）\"},{\"id\":60284,\"comaterialName\":\"测试需求信息\"},{\"id\":60285,\"comaterialName\":\"测试需求的信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6367,\"matterOrg\":4,\"matterName\":\"信息化项目年度建设计划调整申报\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11319,\"comaterialName\":\"次年信息化项目年度计划申请信息（信息化项目年度建设计划调整申报）\"},{\"id\":11320,\"comaterialName\":\"次年信息化项目建议书信息（信息化项目年度建设计划调整申报）\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6368,\"matterOrg\":4,\"matterName\":\"信息化项目立项\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[{\"id\":\"2095\",\"uuid\":\"2b4a5100-708c-4716-b713-79be1860edf9\",\"sysName\":\"丽水市公共数据管理系统\"}],\"coreMaterials\":[{\"id\":69142,\"comaterialName\":\"演示项目信息\"},{\"id\":11321,\"comaterialName\":\"项目定密正式意见信息\"},{\"id\":11322,\"comaterialName\":\"项目数据资源承诺共享开放目录信息\"},{\"id\":11324,\"comaterialName\":\"项目申请立项正式函信息\"},{\"id\":11323,\"comaterialName\":\"项目建设方案信息（信息化项目立项）\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6369,\"matterOrg\":4,\"matterName\":\"信息化项目验收\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[{\"id\":\"1020\",\"uuid\":\"103afdd3-5078-4e8e-9f3e-8890b42d9276\",\"sysName\":\"协同平台\"}],\"coreMaterials\":[{\"id\":11325,\"comaterialName\":\"项目验收申请函信息（电子公文正式件）\"},{\"id\":11329,\"comaterialName\":\"项目初验意见书信息\"},{\"id\":11328,\"comaterialName\":\"第三方测评报告信息（立项批复投资估算>500万）\"},{\"id\":11327,\"comaterialName\":\"项目监理报告信息（立项批复投资估算>200万）\"},{\"id\":11330,\"comaterialName\":\"项目验收完整归档资料信息\"},{\"id\":60411,\"comaterialName\":\"测试数据项数量信息\"},{\"id\":69141,\"comaterialName\":\"演示验收信息\"},{\"id\":11326,\"comaterialName\":\"项目竣工报告信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6370,\"matterOrg\":4,\"matterName\":\"办公助手人员维护\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11331,\"comaterialName\":\"办公助手人员变更表单信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6371,\"matterOrg\":4,\"matterName\":\"办公助手单位新增申请\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11332,\"comaterialName\":\"办公助手单位新增申请信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6372,\"matterOrg\":4,\"matterName\":\"办公助手短信数量申请\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":17570,\"comaterialName\":\"办公助手短信数量申请信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6373,\"matterOrg\":4,\"matterName\":\"办公助手通知公告发布申请\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11335,\"comaterialName\":\"通知公告发布申请信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6374,\"matterOrg\":4,\"matterName\":\"丽水市党政机关公文交换系统单位新增\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11336,\"comaterialName\":\"公文交换系统单位新增信息\"},{\"id\":17572,\"comaterialName\":\"公章替换说明函信息\"},{\"id\":17571,\"comaterialName\":\"机关代字（红头文号）模板信息\"}],\"page\":null,\"limit\":null,\"startRow\":null},{\"id\":6375,\"matterOrg\":4,\"matterName\":\"丽水市党政机关协同办公系统人员维护\",\"matterCode\":\"\",\"attribute\":\"1\",\"busiRate\":\"\",\"otherRate\":\"\",\"useState\":\"1\",\"orgName\":\"市大数据局\",\"oid\":\"40285881636932d30163694f7f4e125d\",\"dingCode\":\"GO_6c383c049d95461f9a0df780140ceb32\",\"areaName\":\"丽水市\",\"systems\":[],\"coreMaterials\":[{\"id\":11337,\"comaterialName\":\"协同办公系统人员变更信息\"}],\"page\":null,\"limit\":null,\"startRow\":null}],\"total\":10}";
    }

    class Project{

        private Project() {
        }

        public static final Integer YEAR_THREE = 2;
        public static final Integer YEAR_FOUR = 4;

        public static final Integer YEAR_DRAW_SURPLUS = 100;

        public static final String FIXED_NUMBER = "0130";
        public static final Long MAX_PROJECT_ID = 999L;

        public static final Long MIN_PROJECT_ID = 1L;
    }

    class ReviewChecklist {

        private ReviewChecklist() {
        }

        public static final List<String> REVIEW_HUMANS_ZZD = Lists.newArrayList("GE_dce116d65ffe48a3aee6c14c1c5a3031",
                "GE_573158a366554bdbb483f8f93d594bf7","GE_fe1cd568b453456ead00f471ecddf6a2","GE_fc1e28e29b5a4cf39c7b7c83278db6f4",
                "GE_16580afcdf7d4d379fd3690ba47f3b58","GE_9c901c85eaeb42abbb485b7aa4d4358f","GE_a4c2c56ed3204600805e0f7b7dca9044");

        public static final List<String> REVIEW_HUMANS_ZYD = Lists.newArrayList("GE_6dc0e5a3513d41f684b6b01aeb94d887",
                "GE_39be254f6cb84ad0b30c9bd5bda657d7","GE_051f5e34c0c4467b873cde517a21669b","GE_e68c7af513474eaa959b7ce7141a4d9f",
                "GE_c3e4d8e8067b4fce91b28b570cffc67a","GE_809a061236b941d281446df6f14dc8f0","GE_6168943503de45919c42d46e05b24fa1");
        public static final Integer INIT_NUM = 0;
    }
}
