package com.hz.pm.api.projectlib.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 * DeclaredProjectListReq
 * </p>
 *
 * @author WendyYang
 * @since 19:13 2024/1/30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeclaredProjectListReq extends PagePo {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String declaredUnit;

    @ApiModelProperty("创建时间（开始）")
    private LocalDate createDateMin;

    @ApiModelProperty("创建时间（结束）")
    private LocalDate createDateMax;

    @ApiModelProperty("申报单位领域")
    private Integer unitStrip;

    @ApiModelProperty("申报单位ID")
    private Long declaredUnitId;

}
