package com.hz.pm.api.sms.constant;

/**
 * <p>
 * VoiceSmsTemplateConst
 * </p>
 *
 * @author WendyYang
 * @since 15:10 2023/3/30
 */
public class VoiceSmsTemplateConst {

    private VoiceSmsTemplateConst() {
    }

    /**
     * 短信登陆验证码
     */
    public static final String SMS_VERIFY_CODE = "【杭州数字信创】验证码：%s(有效期为%s分钟)，请勿泄露给他人，如非本人操作，请忽略此信息。";

    /**
     * 社会专家报名
     */
    public static final String EXPERT_REGISTER = "【杭州数字信创】专家报名验证码：%s(有效期为%s分钟)，请勿泄露给他人，如非本人操作，请忽略此信息。";

    /**
     * 专家电话通知语音模版
     */
    public static final String EXPERT_INVITE_CALL = "尊敬的专家您好，%s现邀请您作为专家参加%s会议，会议时间：%s，会议地点：%s。 确认参加请按 1，拒绝参加请按 2，重听请按星号键。请您选择";

    public static final String EXPERT_INVITE_SMS = "【杭州数字信创】尊敬的专家您好，%s现邀请您作为专家参加%s会议，会议时间：%s，会议地点：%s。 确认参加请回复 1，拒绝参加请回复 2。请您选择";

}
