package com.hz.pm.api.todocenter.model.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心抄送我的项目列表导出实体
 *
 * @author CMM
 * @since 2023/01/19 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResCcMeExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("申报单位")
    private String reportUnitName;

    @ExcelProperty("申报金额")
    private Integer reportAmount;

    @ExcelProperty("预算年度")
    private Integer budgetYear;

    @ExcelProperty("流程状态")
    private String processStatusName;

    @ExcelProperty("发起时间")
    private LocalDateTime processLaunchTime;
}
