package com.hz.pm.api.todocenter.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 流程处理进度详情请求参数
 *
 * @author CMM
 * @since 2023/02/24 10:15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProcessDetailReq {

    @ApiModelProperty("流程实例ID")
    @NotNull(message = "流程实例不能为空")
    private String instanceId;

    @ApiModelProperty("流程节点ID")
    private String nodeId;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("任务ID")
    private String taskId;
}
