package com.hz.pm.api.todocenter.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取未盖章pdf文件接口返回信息
 * @return
 * @author CMM
 * @since 2023/07/15 16:53
 */
@Data
public class NotSealedInfoVO {

    @ApiModelProperty("未盖章PDF文件ID")
    private Long fileId;

    @ApiModelProperty("是否提交了审核意见")
    private Boolean isCommit = Boolean.FALSE;
}
