package com.hz.pm.api.user.security.validate;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author liuxinxin
 * @date 2023/3/24 上午11:47
 * 浙政钉扫码登陆错误
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DingQrLoginException extends RuntimeException {

    private final Integer code;

    private final String message;

    public DingQrLoginException(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
